Bug 1271816 - keystone logrotate configuration should use size configuration
keystone logrotate configuration should use size configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: John Dennis
Shai Revivo
: ZStream
Depends On:
Blocks: 1341332
  Show dependency treegraph
 
Reported: 2015-10-14 15:41 EDT by James Slagle
Modified: 2017-02-24 13:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1341332 (view as bug list)
Environment:
Last Closed: 2017-02-24 13:44:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed openstack-keystone.logrotate file (82 bytes, text/plain)
2016-03-25 11:11 EDT, Adam Young
no flags Details

  None (edit)
Description James Slagle 2015-10-14 15:41:03 EDT
The keystone logrotate configuration should use a "size" configuration in /etc/logrotate.d/openstack-keystone instead of the "weekly" configuration. Without the size config, the logs can grow quite big, and are only rotated once per week.

We're getting osp-director bug reports (bug 1267957) of /var/log/keystone growing to over 1GB in size.

Note that heat and nova are both configured with configured with:
rotate 14
size 10M
Comment 2 Adam Young 2016-03-25 11:11 EDT
Created attachment 1140320 [details]
proposed openstack-keystone.logrotate file

Please confirm that this is the desired values for openstack-keystone.logrotate
Comment 3 Adam Young 2016-03-25 11:12:27 EDT
Please confirm that the attached file represents what should be in the logrotate configuration.
Comment 6 Adam Young 2016-09-07 18:32:15 EDT
How do we want to proceed with this issue?
Comment 7 James Slagle 2016-09-12 19:48:05 EDT
(In reply to Adam Young from comment #3)
> Please confirm that the attached file represents what should be in the
> logrotate configuration.

it's up to the keystone team to determine the correct logrotate configuration for keystone
Comment 8 Rob Crittenden 2017-02-24 13:44:41 EST
Fixed in at least Ocata. My pre-OSP11-based undercloud config includes the proposed size:

/var/log/keystone/*.log {
    rotate 14
    size 10M
    missingok
    compress
}

Note You need to log in before you can comment on or make changes to this bug.